# gcu::SimpleValue Class Reference

`#include <gcu/value.h>`

Inheritance diagram for gcu::SimpleValue:

List of all members.

## Public Member Functions
| SimpleValue ()
virtual | ~SimpleValue ()
char const * | GetAsString () const
double | GetAsDouble () const
GcuValue const | GetValue () const

## Detailed Description

Used to store adimensional data.

Definition at line 64 of file value.h.

## Constructor & Destructor Documentation

gcu::SimpleValue::SimpleValue | ( |  | ) |

Default constructor

virtual gcu::SimpleValue::~SimpleValue | ( |  | ) | `[virtual]`

Default destructor

## Member Function Documentation

char const* gcu::SimpleValue::GetAsString | ( |  | ) | const`[virtual]`

Returns:
  the literal representation of the embedded adimensional data

Reimplemented from gcu::Value.

double gcu::SimpleValue::GetAsDouble | ( |  | ) | const`[virtual]`

Returns:
  the embedded value.

Reimplemented from gcu::Value.

GcuValue const gcu::SimpleValue::GetValue | ( |  | ) | const`[inline]`

Returns:
  the embedded GcuValue structure.

Definition at line 89 of file value.h.

The documentation for this class was generated from the following file:

- value.h